Eclipse Platform Release 3.7

## org.eclipse.ui.console
Interface IHyperlink

All Known Subinterfaces:
  IConsoleHyperlink, IHyperlink2

All Known Implementing Classes:
  FileLink

    public interface IHyperlink

A hyperlink in a console. Link behavior is implementation dependent.

Clients may implement this interface.

Since:
  3.1

Method Summary
`void` `linkActivated()` Notification that this link has been activated.
`void` `linkEntered()` Notification that the mouse has entered this link's region.
`void` `linkExited()` Notification that the mouse has exited this link's region

Method Detail

### linkEntered

    void linkEntered()

  Notification that the mouse has entered this link's region.

### linkExited

    void linkExited()

  Notification that the mouse has exited this link's region

### linkActivated

    void linkActivated()

  Notification that this link has been activated. Performs context specific linking.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.